TRUNC(3) | Library Functions Manual | TRUNC(3)

# NAME

trunc, truncf, truncl — nearest integral value with magnitude less than or equal to |x|

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

#include <math.h>
double
trunc(double x);
float
truncf(float x);
long double
truncl(long double x);

# DESCRIPTION

The trunc(), truncf(), and truncl() functions return the nearest integral value with magnitude less than or equal to |x|. They are equivalent to rint(), rintf(), and rintl() respectively, in the `FP_RZ` rounding mode.

# SEE ALSO

ceil(3), floor(3), fpsetround(3), math(3), nextafter(3), rint(3), round(3)

# STANDARDS

The trunc(), truncf(), and truncl() functions conform to ISO/IEC 9899:1999 (“ISO C99”).

November 13, 2013 | NetBSD 8.2